Liero Liero - 4 months ago 77
TypeScript Question

Why I get "typings WARN deprecated <packagename> is deprecated (updated, replaced or removed)

I get warning:

>typings ls
typings WARN deprecated 2016-08-05: "registry:dt/react#0.14.0+20160423065914" is deprecated (updated, replaced or removed)


however, it seems that I have latest version:

>typings view dt~react --versions
TAG VERSION DESCRIPTION COMPILER LOCATION UPDATED
0.14.0+20160805125551 0.14.0 github:DefinitelyTyped/DefinitelyTyped/react/react.d.ts#edcbaabb56bb0866df95dbfdf279f4a680051217 2016-08-05T12:55:51.000Z
0.13.3+20160423065914 0.13.3 github:DefinitelyTyped/DefinitelyTyped/react/react-0.13.3.d.ts#3a44f976ba58e05adb666295d59168ef5e99ae17 2016-04-23T06:59:14.000Z


I see the tag is different, but when I try

typings i dt~react@0.14.0+20160805125551 -save -G


the version with latest tag is not installed.

Why I get the warning and how do I update it?

Answer

It should be --save pay attention to --.
Or you can use -S instead.

See documentation for more information.